gjs (1.86.0-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * d/patches: Drop all, applied upstream!
  * debian/patches: Fix a command line test when running in posix SH

  [ Simon McVittie ]
  * Merge packaging changes from unstable
    - d/control: Remove Rules-Requires-Root, no longer necessary since trixie
    - Standards-Version: 4.7.2 (no changes required)
    - Drop all other changes, not relevant in the 1.85.x branch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 24 Sep 2025 20:49:24 +0200

gjs (1.85.90-4) experimental; urgency=medium

  * d/p: Import patches to have properly named platform-specific symbols in Gio
    The Unix symbols needs to be scoped in the Unix name when used through the
    Gio namespace.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 10 Sep 2025 18:04:59 +0200

gjs (1.85.90-3) experimental; urgency=medium

  * d/p: Fix checking interface properties
    GObject.type_default_interface_ref() is no longer
    introspectable for some reason, but as it is deprecated
    in favor of GObject.type_default_interface_get() anyway,
    use that instead.
    As per this, drop the patch we had to disable the failing test
  * d/p: Fix Gtk4 warning test with gtk 4.20

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 10 Sep 2025 04:19:13 +0200

gjs (1.85.90-2) experimental; urgency=medium

  * No change rebuild.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 09 Sep 2025 11:44:11 +0200

gjs (1.85.90-1) experimental; urgency=medium

  * New upstream release
  * d/p: Drop patches applied upstream
  * debian/control: Make gjs depend on binary version of libgjs0.
    While gjs use symbols of libgjs0 and so we can rely on debian shlib
    depends to figure out the version we require, it also relies on the
    JS overrides that are shipped as resources and on the private gjs
    typelib that is included in the library package.
    Given that these dependencies are not automatically tracked, it's just
    safer to make gjs depend on the very same library version not to have
    unexpected behavior
  * debian/control: Make gjs-tests to depend on same gjs version

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 09 Sep 2025 11:21:16 +0200

gjs (1.85.2-2) experimental; urgency=medium

  * d/p: Add patches to add to Gio platform-specific symbols.
    Be proactive and get the upstream patches early so that if GLib gets
    updated we are not broken (LP: #2120780)
  * d/p: Ignore failing tests due to old test library

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Sep 2025 05:47:16 +0200

gjs (1.85.2-1) experimental; urgency=medium

  * New upstream release
  * d/p: Drop, applied upstream
  * debian/control: Bump build and runtime dependencies
  * debian/control: Rename libgjs0g to libgjs0.
    Gjs now depends on libgirepository-2.0, so any application that was
    previously loading libgjs needs to be rebuilt and compiled without any
    libgirepository-1.0, as both cannot stay in the same process.
    Upstream did not bump the soname version since it's not technically an
    ABI change.
    To ensure that no app may be broken by the updated, let's rename the
    package, to require all the reverse dependencies to be re-compiled.
    We take the occasion to stop using the libgjs0g -> libgjs0h naming
    as it was not standard way to handle JS breaks, but rather we go back
    to libgjs0.
  * debian/rules: Disable symbolic functions in arm64

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 11 Aug 2025 15:44:24 +0200

gjs (1.85.1-2) experimental; urgency=medium

  * Add patch to fix s390x build (Closes: #1101694)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 01 Jul 2025 14:43:42 -0400

gjs (1.85.1-1) experimental; urgency=medium

  * New upstream release
  * Move Depends: gir1.2-gtk-3.0 & 4.0 from gjs to gjs-tests
  * Run gtk4 build tests
  * Add patch to fix installed tests failure

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 01 Jul 2025 12:50:53 -0400

gjs (1.84.2-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 09:39:16 -0400

gjs (1.84.1-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum meson
  * Bump minimum gtk3 for build test fixes
  * debian/libgjs0g.symbols: Update
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 29 Mar 2025 18:13:51 -0400

gjs (1.82.3-2) unstable; urgency=medium

  * Team upload
  * d/gbp.conf, d/control: Update packaging branch for forky
  * d/patches: Add patches backported from upstream 1.86.0 to be
    compatible with GLib 2.86 (Closes: #1115351)
  * d/control: Remove Rules-Requires-Root, no longer necessary since trixie
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Sep 2025 17:30:55 +0100

gjs (1.82.3-1) unstable; urgency=medium

  * New upstream release
  * Branch for trixie and watch for 1.82.x releases

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 09:46:37 -0400

gjs (1.82.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix a gnome-shell crash during GC when switching between users,
      found by Fedora openQA
  * Remove version constraints unnecessary since Debian 11
  * d/control: Switch dependencies from libgirepository1.0-dev to
    libgirepository-1.0-dev.
    The former is not multi-arch co-installable, the latter is.
  * Add missing Build-Depends on gir1.2-cairo-1.0-dev
  * Add missing Build-Depends on gir1.2-girepository-2.0-dev

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Nov 2024 13:25:30 +0000

gjs (1.82.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Sep 2024 09:45:04 -0400

gjs (1.82.0-1) experimental; urgency=medium

  * New upstream release
  * Remove all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 17 Sep 2024 08:17:54 -0400

gjs (1.81.90-2) experimental; urgency=medium

  * Team upload
  * d/p/installed-tests-Fix-the-search-path-that-is-compiled-into.patch:
    Mark patch as applied upstream
  * d/p/arg-cache-Init-out-parameters-with-correct-number-of-bits.patch:
    Fix out-argument initialization on 32-bit instead of skipping the test
    - d/p/Skip-testUninitializedOutParameter-for-now.patch:
      Drop patch, no longer needed

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Sep 2024 12:34:38 +0100

gjs (1.81.90-1) experimental; urgency=medium

  * New upstream release candidate
  * d/copyright: Update
  * d/watch.devel: Add a watch file for upstream prereleases
  * d/p/installed-tests-fix-libexecdir.patch:
    Drop patch, applied upstream
  * d/p/installed-tests-Fix-the-search-path-that-is-compiled-into.patch:
    Add proposed patch to fix autopkgtest failures (Closes: #1079499)
  * d/p/Skip-testUninitializedOutParameter-for-now.patch:
    Add patch to skip a newly-added test that fails on 32-bit
    architectures (workaround for GNOME/gjs#642)
  * Run tests using dbus-run-session instead of dbus-x11.
    This avoids pulling in backwards-compatibility code in
    /etc/X11/Xsession.d.
  * Fix some Lintian warnings

 -- Simon McVittie <smcv@debian.org>  Fri, 06 Sep 2024 12:53:52 +0100

gjs (1.81.2-2) experimental; urgency=medium

  * Enable sysprof profiling support on available architectures
  * Add patch to fix autopkgtest libexecdir

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 23:52:56 -0400

gjs (1.81.2-1) experimental; urgency=medium

  * New upstream release
  * Build with mozjs128
  * debian/libgjs0g.symbols: Add new symbols
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Aug 2024 07:57:14 -0400

gjs (1.80.2-1) unstable; urgency=medium

  * New upstream release
    - Fix ppc64el build (Closes: #1065613)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Mar 2024 08:45:30 -0400

gjs (1.80.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Mar 2024 07:42:59 -0400

gjs (1.80.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 16:05:23 -0400

gjs (1.79.90-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Mar 2024 16:24:40 -0500

gjs (1.79.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Feb 2024 15:51:42 -0500

gjs (1.78.3-1) unstable; urgency=medium

  * New upstream release
    - Fixes GNOME Shell Extensions preferences dialog closing after
      few seconds (LP: #2048931)
  * Add Build-Depends: gir1.2-gio-2.0-dev, gir1.2-gobject-2.0-dev
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 Jan 2024 07:52:28 -0500

gjs (1.78.2-2) unstable; urgency=medium

  * Include changes from 1.78.1-3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Jan 2024 14:27:41 -0500

gjs (1.78.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Drop obsolete Breaks, Conflicts, Replaces

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Jan 2024 14:21:04 -0500

gjs (1.78.1-3) unstable; urgency=medium

  * libgjs0g: Explicitly depend on all typelibs imported by built-in
    modules.
    imports.package depends on GLib, GObject and Gio, not just
    GIRepository. In practice gir1.2-girepository-2.0 (or the package
    that provides it) will pull in all of those, so this is really just
    for completeness.

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Dec 2023 18:29:48 +0000

gjs (1.78.1-2) unstable; urgency=medium

  * Team upload
  * d/control: libgjs0g Depends on gir1.2-girepository-2.0.
    This is used internally, and is likely to need to be separated from
    gir1.2-glib-2.0 during the GNOME 46 (GLib 2.79/2.80) cycle. At the
    moment, it is a virtual package provided by the gir1.2-glib-2.0
    package.

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Dec 2023 22:04:23 +0000

gjs (1.78.1-1) unstable; urgency=medium

  * New upstream release (LP: #2045699)
  * Stop using debian/control.in and dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Dec 2023 17:15:40 -0500

gjs (1.78.0-1) unstable; urgency=medium

  * New upstream release
  * Switch from mozjs102 to 115 (LP: #2034276)
  * Drop all patches: applied in new release
  * debian/libgjs0g.symbols: Add new symbol

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 21 Oct 2023 13:18:49 -0400

gjs (1.76.2-4) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Revert "d/rules, d/meson/no-exe-wrapper.ini: Work around FTBFS
    on mips64el". meson 1.2.1 fixed the underlying issue.

  [ Simon McVittie ]
  * d/p/function-Always-initialize-callback-return-value.patch:
    Add patch backported from upstream 1.77.1 avoiding infinite loops
    of idle callbacks if an idle handler is called during GC. The most
    common reason for this is if a GNOME Shell extension incorrectly does
    not disconnect all of its signal/idle/timeout handlers. This change
    mitigates the infinite loop and associated log flooding, but does not
    fix the extension behaviour. (Closes: #1034356)

 -- Simon McVittie <smcv@debian.org>  Thu, 17 Aug 2023 11:34:22 +0100

gjs (1.76.2-3) unstable; urgency=medium

  * Team upload
  * d/rules, d/meson/no-exe-wrapper.ini: Work around FTBFS on mips64el
    (Mitigates: #1041499)

 -- Simon McVittie <smcv@debian.org>  Sat, 22 Jul 2023 00:44:58 +0100

gjs (1.76.2-2) unstable; urgency=medium

  * Update debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 06:59:46 -0400

gjs (1.76.2-1) experimental; urgency=medium

  * New upstream release (LP: #2023571)
  * Drop all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Jun 2023 18:44:22 -0400

gjs (1.76.1-1) experimental; urgency=medium

  * New upstream release (LP: #2023571)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 12 Jun 2023 18:53:58 +0200

gjs (1.76.0-3) experimental; urgency=medium

  * debian/patches: Drop patch causing GNOME Characters not to show emojis
    (LP: #2015948)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 12 Apr 2023 05:40:15 +0200

gjs (1.76.0-2) experimental; urgency=medium

  [ Daniel van Vugt ]
  * Add context-Clear-all-vectors-of-JS-Heap-on-dispose.patch (LP: #1974293)

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Do not leak GVariants and other handled objects
    (LP: #1991709, #2012978)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 12 Apr 2023 04:42:41 +0200

gjs (1.76.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 08:45:59 -0400

gjs (1.75.90-1) experimental; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Mar 2023 12:37:19 -0500

gjs (1.75.2-2) experimental; urgency=medium

  * debian/patches: Correctly convert signed char from and to GValue's.
    Fixes a test error in some archs including arm64, s390x, armhf and ppc.
  * debian/patches: Support virtual functions and callbacks returning
    transfer-none strings.
    This is something used by some extensions (dash-to-dock), so we need to
    support them without leaking.
  * debian/rules: Use unity builds.
    It can produce faster builds and faster code, and gjs supports it
    upstream (running a CI job to check it works) so let's use it.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 23 Feb 2023 22:20:58 +0100

gjs (1.75.2-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum gobject-introspection to 1.71
  * Revert branching for bookworm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 21 Feb 2023 08:28:32 -0500

gjs (1.74.2-1) unstable; urgency=medium

  * New upstream release
  * debian/gbp.conf, debian/control.in: Branch for bookworm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 21 Feb 2023 07:13:29 -0500

gjs (1.74.1-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
  * Build-/test-depend on dbus-daemon instead of dbus.
    This is sufficient to provide dbus-run-session.
  * Update Lintian override syntax
  * Set field Upstream-Name in debian/copyright
  * Update standards version to 4.6.1 (no changes needed)
  * d/upstream/metadata: Add
  * d/watch, d/gbp.conf: Only watch for stable releases.
    We'll follow 1.74.x for Debian 12.

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Nov 2022 09:03:01 +0000

gjs (1.74.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 24 Sep 2022 23:34:26 -0400

gjs (1.74.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 21 Sep 2022 07:57:12 -0400

gjs (1.73.2-1) experimental; urgency=medium

  * New upstream release
  * Build against mozjs102
  * debian/libgjs0g.symbols: Add new symbol

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 14:43:34 -0400

gjs (1.73.1-2) unstable; urgency=medium

  * Rebuild against latest mozjs91 (Closes: #1017063)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 12 Aug 2022 21:33:27 -0400

gjs (1.73.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.54.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 03 Aug 2022 11:51:35 -0400

gjs (1.72.0-4) unstable; urgency=medium

  [ Simon McVittie ]
  * d/copyright: Replace CC0-1.0 text with a reference to common-licenses

  [ Jeremy Bicha ]
  * Cherry-pick patch to fix memory leak seen when taking screenshots
    (LP: #1973638)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 29 Jun 2022 08:40:12 -0400

gjs (1.72.0-3) unstable; urgency=medium

  * debian/patches: Correctly generate camelCase properties on all locales.
    And particularly looking at Turkish one. (LP: #1969838)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 28 Apr 2022 22:24:50 +0200

gjs (1.72.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Mar 2022 10:48:56 -0400

gjs (1.72.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 22 Mar 2022 08:09:08 -0400

gjs (1.71.90-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop all patches: applied in new release

  [ Marco Trevisan (Treviño) ]
  * debian/gjs.examples: Install JS examples
  * debian/control: Use clearer short descriptions for packages
  * debian/changelog: Remove trailing spaces
  * debian/control: Remove libgjs-dev dependency on gjs
  * debian/control: Remove duplicated build-dependency on libcairo2-dev
  * debian/gjs-tests.lintian-overrides: Ignore link error on d'loaded libs

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 15:37:21 -0500

gjs (1.71.1-1) experimental; urgency=medium

  * New upstream release:
    - New JavaScript features! This version of GJS is based on SpiderMonkey 91
      For more information, look them up on MDN or devdocs.io
    - It's now possible to pass BigInt values to GObject-introspected functions
      with 64-bit parameters
  * debian/patches: Cherry-pick upstream test fixes
  * debian/patches: Do not crash on instanceof checks on interfaces
    (LP: #1960898)
  * debian/patches: Correctly handle later handled promises rejections
  * debian/control: Bump dependency on mozjs-91
  * debian/libgjs0g.symbols: Include new symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 22 Feb 2022 12:26:43 +0100

gjs (1.70.1-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Feb 2022 08:38:53 -0500

gjs (1.70.0-4) unstable; urgency=medium

  * Team upload
  * d/p/arg-Replace-gsize-with-size_t.patch,
    d/p/Handle-optional-out-parameters-in-callbacks.patch:
    Include all patches from upstream gnome-41 branch up to
    1.70.0-4-g62025d4a2
    - Fix FTBFS on some 32-bit architectures where size_t is unsigned long
      but gsize is unsigned int
    - Allow optional 'out' parameters in callbacks to be NULL
  * d/p/build-disable-gir-install-via-list-to-pacify-meson-0.60.2.patch:
    Add patch from upstream to fix FTBFS with meson 0.60.2 (Closes: #1002101)
  * d/p/installed-tests-Install-matchers.js.patch:
    Make cosmetic changes to match the version applied upstream
  * d/p/build-Link-with-libatomic-if-necessary.patch:
    Mark as applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Dec 2021 19:39:35 +0000

gjs (1.70.0-3) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Oct 2021 09:36:07 +0100

gjs (1.70.0-2) experimental; urgency=medium

  * Team upload
  * d/p/build-Link-with-libatomic-if-necessary.patch:
    Add patch to link with libatomic if needed (Closes: #995930)

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Oct 2021 12:28:11 +0100

gjs (1.70.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release, required by GNOME Shell 41
  * d/copyright: Update
  * Update mozjs dependency version
  * d/rules: Look for typelibs in build directory during smoke-test
  * d/libgjs0g.symbols: Add new symbols
  * d/libgjs0g.symbols: Ignore removal of private function gjs_open_bytes().
    This was not in public headers, and is only exposed in the ABI so that
    tests can call it.
  * Use a UTF-8 locale to run installed-tests.
    Some of the command-line tests rely on this.
  * d/p/installed-tests-Install-matchers.js.patch:
    Add patch to fix installed-tests failure

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Sep 2021 17:01:56 +0100

gjs (1.68.4-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Simplify a bit

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 18 Sep 2021 15:52:33 -0400

gjs (1.68.3-1) unstable; urgency=medium

  * New upstream stable release
  * d/shlibs.local: Give gjs a lockstep dependency on libgjs0g.
    For external packages like gnome-shell, ${shlibs:Depends} should generate
    a dependency on libgjs0g (>= some version) as usual, but for binary
    packages from the same source package we should not allow partial
    upgrades.
  * d/control.in: Move Breaks from gjs to libgjs0g.
    It's really the updated libgjs that will break old GJS applications,
    not the updated gjs command-line executable.
  * d/control.in: Require a newer gnome-shell.
    gnome-shell 3.38.6 has fixes for compatibility with this libgjs, so
    bump the version in the Breaks accordingly.

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Aug 2021 09:06:25 +0100

gjs (1.68.1-2) unstable; urgency=medium

  * Team upload
  * d/copyright: Update
  * Don't let debhelper 13.4+ make all the installed-tests executable
  * Remove unnecessary .eslintrc.yml from installed-tests
  * Silence a Lintian false-positive in the test data
  * Add Lintian override documenting why libgjs0g is not libgjs0
  * Standards-Version: 4.6.0 (no changes required)
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Aug 2021 12:21:03 +0100

gjs (1.68.1-1) experimental; urgency=medium

  * New upstream release
  * debian/patches: Drop all, they've been applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 08 May 2021 23:39:49 +0200

gjs (1.68.0-2) experimental; urgency=medium

  * debian/patches: Cherry-pick upstream memory fixes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 05 May 2021 05:53:50 +0200

gjs (1.68.0-1) experimental; urgency=medium

  * New upstream release
    - Fixed session crashes in gjs on unlocking (sometimes)
    - installed-tests installed despite explicitly disabled
  * debian/patches: Drop all applied upstream
  * d/p/GObject-Don-t-autogenerate-accessors-for-CONSTRUCT_ONLY-p.patch,
    d/p/GObject-Define-camel-and-kebab-variants-of-CONSTRUCT_ONLY.patch,
    d/p/overrides-Gio-Fix-_LocalFilePrototype.patch,
    d/p/object-Return-undefined-and-not-the-actual-function-on-di.patch:
    - Various fixes for JS GObject overrides
  * d/p/cairo-Add-missing-semi-colons-from-dummy-class-declaratio.patch:
    - Fix headers warning
  * d/p/wrapperutils-Use-native-ostringstream-pointer-to-string-c.patch:
    - Print the object address in hex format on toString()
  * d/p/testFundamental-Ensure-a-fundamental-can-be-converted-to-.patch,
    d/p/fundamental-Use-value-or-instance-pointer-when-no-get-set.patch:
    - Correctly handle Gdk 4 Events
  * d/p/object-Pass-the-instance-pointer-to-toggle-notify.patch,
    d/p/object-Switch-back-to-normal-references-on-disposal.patch,
    d/p/object-Discard-disposed-GObject-s-and-do-not-create-wrapp.patch,
    d/p/object-Also-unset-the-object-qdata-during-wrapper-destruc.patch,
    d/p/object-Never-try-to-add-a-toggle-reference-on-a-disposed-.patch,
    d/p/object-Use-the-term-DISPOSED-for-objects-in-such-state-no.patch,
    d/p/testGobjectDestructionAccess-Verify-usage-of-vfunc_dispos.patch,
    d/p/object-Catch-finalized-objects-that-are-still-under-gjs-s.patch,
    d/p/testGObjectDestructionAccess-Ensure-that-returned-dispose.patch,
    d/p/testGObjectDestructionAccess-Verify-that-disposed-object-.patch,
    d/p/object-Cancel-queued-toggles-on-dispose-notify.patch:
    - Improve handling for diposed and finalized objects, fixing crashes
  * d/p/object-Safely-handle-disposal-when-happening-from-other-t.patch,
    d/p/installed-tests-Add-GjsTestTools-utilities-to-call-native.patch,
    d/p/gjs-test-tools-Add-ability-to-ref-unref-and-dispose-from-.patch,
    d/p/object-Discard-wrapper-when-GObject-is-disposed-from-main.patch,
    d/p/object-Do-not-disassociate-a-JS-object-if-we-have-queued-.patch,
    d/p/toggle-Initialize-private-variables-on-construction.patch,
    d/p/toggle-Use-GWeakRef-s-to-track-objects-to-prevent-adding-.patch:
    - Fix handling of dispose and unref hevent when happening in other threads
      (LP: #1882410)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 15 Apr 2021 09:17:17 +0200

gjs (1.67.2-2) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/gbp.conf: Set upstream branch to upstream/latest
  * debian/patches: Consistently handle undefined values for integer functions.
    This was causing build failures in some architectures as per being NaN
    dependent.

  [ Olivier Tilloy ]
  * Cherry-pick upstream commits to fix failing autopkgtests

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 08 Mar 2021 22:41:06 +0100

gjs (1.67.2-1) experimental; urgency=medium

  * New upstream release
  * d/p/GGjsPrivate-Fix-indentation-in-function.patch,
    d/p/GGjsPrivate-Remove-volatile-from-g_once_init_enter-flag.patch,
    d/p/Gmaint-Avoid-g_once_init_enter-error-in-GCC-11.patch:
    - Handle g_once_init_enter as newer GLib and gcc expects
  * d/p/engine-Set-baseline-interpreter-to-enable_jit.patch:
    - Ensure JIT can be fully disabled
  * debian/libgjs0g.symbols: Update symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 23 Feb 2021 16:49:06 +0100

gjs (1.66.2-1) unstable; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * debian/watch: Ignore '..' links as valid version value

  [ Simon McVittie ]
  * d/watch: Don't assume major version must be a single digit
  * d/watch: Only look for stable-branch versions
  * d/gbp.conf: Use upstream/1.66.x branch to import new versions.
    The first 1.67.x release already happened, but we don't want it for
    Debian 11.
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Jan 2021 18:13:21 +0000

gjs (1.66.1-1) unstable; urgency=medium

  * New upstream release:
    - Throws on Unsupported caller allocates
    - arg: Fix MIN/MAX safe big integer limits
    - Fix leak when virtual function is unimplemented
    - Cannot compile GJS 1.66.0 on macOS with llvm/clang 10.0.1
    - console: fix typo in command-line option
    - Prevent passing null pointers when not nullable
    - Passing fundamentals to functions works again (LP: #1898393)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 11 Oct 2020 01:00:09 +0200

gjs (1.66.0-1) unstable; urgency=medium

  * New upstream release

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 14 Sep 2020 12:51:25 +0200

gjs (1.65.92-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Drop patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Sep 2020 16:53:38 +0100

gjs (1.65.91-2) experimental; urgency=medium

  * debian/patches: Fix BoxedInstance initialization causing a crash in s390x

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 02 Sep 2020 16:52:13 +0200

gjs (1.65.91-1) experimental; urgency=medium

  * New upstream release
    - Using mozjs (SpiderMonkey) 78 as JavaScript engine, coming with:
      + A new regular expression engine, supporting lookbehind and named capture
        groups, among other things
      + The ?? operator ("nullish coalescing operator") is now supported
      + The ?. operator ("optional chaining operator") is now supported
      + Public static class fields are now supported
      + Separators in numeric literals are now supported: for example, 1_000_000
      + String.replaceAll() for replacing all instances of a string inside
        another string
      + Promise.allSettled() for awaiting until all Promises in an array have
        either fulfilled or rejected
      + Intl.Locale
      + Intl.ListFormat
      + Intl.RelativeTimeFormat.formatToParts()
    - New API: gjs_coverage_enable() allows the collection of code coverage
      metrics
  * debian/rules:
    - BD on libmozjs-78
  * debian/libgjs0g.symbols: Update, adding new sybmol

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 31 Aug 2020 23:58:06 +0200

gjs (1.65.4-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
    - Allow one to promisify static methods
    - No need to redefine getter and setter for GObject properties
    - Less critical errors logging
    - Add support for JS pubblic class fields
    - Demarshalling fixes in 64-bit big-endian
    - Crash and memory fixes, performance improvements
    - Gtk.Widget is now an iterable object
    - Fix installed-tests compatibility with GTK 4
  * debian/rules:
    - BD on debhelper 13
    - Don't redefine HOME and XDG_RUNTIME_DIR (handled by dh 13)
    - Use dh_auto_test instead of meson test (handled by dh 13)
  * debian/libgjs0g.install: Use variables to get the multi-arch path
  * debian/gjs-tests.install: Adapt to fixed installed-tests location

  [ Simon McVittie ]
  * d/rules: Show output of failing tests.
    Otherwise it's impossible to debug things like #966923.
  * d/p/function-Don-t-assume-FFI-argument-always-matches-GIArgum.patch:
    - Correctly handle function arguments in 64-bit big endian

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 27 Aug 2020 06:29:16 +0200

gjs (1.64.3-1) unstable; urgency=medium

  * New upstream release:
    - arg: Don't sink GClosure ref if it's a return value
    - overrides/Gtk: Adjust gtk_container_child_set_property() check
    - Use memory GSettings backend in tests
    - Update debug message from trimLeft/trimRight to trimStart/trimEnd
    - Various fixes for potential crash and memory issues
  * debian/rules: Use timeout multiplier in tests

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Jun 2020 15:35:51 +0200

gjs (1.64.2-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
    - Fix template use in GTK 4
    - Don't crash if a callback doesn't return an expected array of values
    - Fix a crash when passing integer to strv in constructor
    - Skip some tests if GTK can't be initialised
    - Fix gjs_log_exception() for InternalError
    - Fix signal match mechanism
    - Drop all patches, applied upstream
  * Install installed-tests in default /usr/libexec/gjs/installed-tests
  * Install libraries with multiarch paths
  * Simplify dh_makeshlibs invocation using debhelper 12 defaults.
    The incantation we previously had in -V is a longwinded way to write
    dh_makeshlibs -VUpstream-Version (aka plain -V with no argument),
    which is the default in compat level 12 anyway.
  * Mark libgjs0g as Multi-Arch: same

 -- Simon McVittie <smcv@debian.org>  Fri, 01 May 2020 09:59:07 +0100

gjs (1.64.1-3) unstable; urgency=medium

  * Team upload
  * Release to unstable (transition: #954422)

 -- Simon McVittie <smcv@debian.org>  Fri, 10 Apr 2020 14:32:50 +0100

gjs (1.64.1-2) experimental; urgency=medium

  * Team upload
  * Add proposed patches to fix type-punning on big-endian LP64,
    in particular s390x (Closes: #906022)
  * d/test.sh: Make test failures fatal on all architectures
  * d/rules: Go back to inlining testing instead of using a separate script.
    Now that we are treating test failures as always bad, we don't need
    that extra complexity.

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Apr 2020 12:17:12 +0100

gjs (1.64.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/gbp.conf: Use upstream/1.64.x branch.
    There has already been a 1.65.1 release.
  * d/p/Fix-failed-redirect-of-output-in-CommandLine-tests.patch:
    Drop patch, applied upstream
  * d/gjs-tests.install: Adjust to test libraries' new location

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Apr 2020 23:03:07 +0100

gjs (1.64.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release (no changes beyond version number)
  * Explicitly disable profiler.
    It wasn't enabled on the buildds in practice because we don't
    build-depend on sysprof.
  * Enable all optional features that are not explicitly disabled.
    This gives us more deterministic builds and checks that we haven't
    forgotten build-dependencies.
  * Bump build-dependency on gobject-introspection to 1.64.
    The upstream developers won't have tested arbitrary combinations of GNOME
    3.34 and 3.36 components, so we should probably take an all-or-nothing
    approach to the upgrade.
  * d/test.sh: Reset XDG directories to safe temporary values.
    In some build environments these end up set to inaccessible or otherwise
    unsuitable locations, causing one test to fail.
    This should become unnecessary in dh compat level 13, which does something
    similar itself. (Closes: #954659)
  * d/p/root-Always-expose-object-to-JS-before-reset.patch:
    Drop a patch that was not applied upstream.
    According to upstream !396, the bug this was meant to address has
    been fixed differently in 1.63.92.
  * d/p/Fix-failed-redirect-of-output-in-CommandLine-tests.patch:
    Add patch from upstream master to fix a bashism in a test.
    Thanks to Liban Parker.

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Mar 2020 09:38:10 +0000

gjs (1.63.92-1) experimental; urgency=medium

  * New upstream release
  * tests-Avoid-filename-conflict-when-tests-run-in-parallel.patch: Drop,
    upstream

 -- Iain Lane <laney@debian.org>  Tue, 03 Mar 2020 09:18:17 +0000

gjs (1.63.91-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
    - Uses mozjs68
    - Cache known unresolvable properties
  * debian/control:
    - Build depend on libmozjs-68-dev and meson
    - Adjust gobject-introspection dependency version to match upstream
  * debian/rules:
    - Adapt configure parameters to meson
    - Remove the ones that were already matching upstream default
    - Don't try to remove *.la files anymore, as it's a no-op with meson
    - Pass BUILDDIR to debian/test.sh
  * debian/test.sh:
    - Update binary paths to point to meson build path
    - Use meson test to run tests
    - Create a temporary home directory for running tests
  * debian/docs,
    debian/gjs.docs:
    - Point to new Markdown README.md file
  * debian/libgjs0g.symbols:
    - Add symbols file
  * debian/tests/installed-tests:
    - Use $AUTOPKGTEST_TMP instead of the deprecated $ADTTMP
  * d/p/root-Always-expose-object-to-JS-before-reset.patch,
    d/p/tests-Avoid-filename-conflict-when-tests-run-in-parallel.patch:
    - Avoid crashing during gargabe collection

  [ Iain Lane ]
  * debian/test.sh: Clean up the test dir when we exit
  * debian/test.sh: The default build dir is DEB_HOST_GNU_TYPE.
    Not DEB_HOST_BUILD_TYPE

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 24 Feb 2020 18:13:50 +0000

gjs (1.58.1-2) unstable; urgency=medium

  * Team upload
  * d/tests/build: Fix various shellcheck warnings
  * d/tests/build: Use correct compiler for proposed autopkgtest
    cross-architecture testing support
  * d/tests/build: Mark as superficial
  * Bump Standards-Version to 4.5.0 (no changes required)
  * Explicitly build-depend on libffi-dev.
    gjs uses ffi_call(), so we should have our own B-D and not just rely
    on libgirepository1.0-dev having a dependency.
  * Adjust build-dependencies for libffi7 transition:
    - Depend on a version of libffi-dev associated with libffi7
    - Depend on a version of libgirepository1.0-dev that was definitely
      built using libffi7

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Jan 2020 08:56:41 +0000

gjs (1.58.1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 10 Oct 2019 06:12:11 -0400

gjs (1.58.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 13:57:02 +0200

gjs (1.58.0-1) experimental; urgency=medium

  * New upstream release
  * d/control: update build-dep on gobject-introspection to 1.61.2
  * d/rules: --with-xvfb-tests option has been removed
  * d/test.sh: call xvfb-run from the test wrapper to start a server
  * d/control: build-dep on xauth for xvfb-run

 -- Tim Lunn <tim@feathertop.org>  Wed, 11 Sep 2019 22:02:08 +1000

gjs (1.57.91-2) experimental; urgency=medium

  * fix up depends so autopkgtests pass again
  - debian/control:
      - depend on libcairo2-dev, this was implicitly pulled by libgtk3 before
      - runtime depend on gir1.2-gtk-3.0

 -- Tim Lunn <tim@feathertop.org>  Sun, 01 Sep 2019 23:00:03 +1000

gjs (1.57.91-1) experimental; urgency=medium

  * New upstream release
  * Build-depend on debhelper-compat (=12) and remove debian/compat
  * debian/control:
    - remove build-dep on libgtk3, gjs no longer links against gtk
    - add build dep on gir1.2-gtk-3.0, required by tests
  * Bump standards version to 4.4.0 no changes required

 -- Tim Lunn <tim@feathertop.org>  Tue, 27 Aug 2019 18:34:40 +1000

gjs (1.57.90-1) experimental; urgency=medium

  * New upstream release
  * control: bump glib build-dep to 1.58.0 as per configure.ac

 -- Tim Lunn <tim@feathertop.org>  Tue, 13 Aug 2019 21:00:02 +1000

gjs (1.57.4-1) experimental; urgency=medium

  * New upstream release in the 1.57 series.
  * rules: Don't build profiler support yet.
    We need to split sysprof into a library, a -dev package and the client
    applications for this, so that all gjs users don't get everything
    installed.
  * control: Bump gobject-introspection BDs to 1.59.2, per configure.ac

 -- Iain Lane <laney@debian.org>  Thu, 18 Jul 2019 12:25:32 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgjs0`.
